function WR360Initialize()
{
	// ============================================================================
	// GLOBAL PARAMETERS
	
	var wr360FeatureEnabled = true;
	var graphicsPath        = "/content/webrotate360/imagerotator/html/img/basic";
	var configFileURL       = ""; // Allows using a single xml for all products and / or storing images on external server or CDN (PRO only).
	var wrapperID           = ".ProductThumbWrap"; 
	
	// END OF SECTION TO MODIFY. PLEASE DON'T MODIFY ANY OTHER PART OF THIS FILE
	// ============================================================================
	
	var imageDiv = jQuery(wrapperID);
	if (imageDiv.length <= 0)
		return;
		
	var rootPathValue = "";
	var wr360ConfiguredForProduct = false;
	
	var detailRows = jQuery(".ProductDetailsGrid.prodAccordionContent .DetailRow");
	if (detailRows) {
		detailRows.each(function() {
			var detailRow = jQuery(this);
			var label = detailRow.children(".Label");
			var value = detailRow.children(".Value");
			if (!label || !value) return true;
			if (label.html().toLowerCase() == "config_file_url:") {
				var productConfigFileURL = jQuery.trim(value.html());
				if (productConfigFileURL && productConfigFileURL.length > 0) {
					configFileURL = productConfigFileURL;
				}
				detailRow.hide();
				wr360ConfiguredForProduct = true;
			} else if (label.html().toLowerCase() == "root_path:") {
				var rootPath = jQuery.trim(value.html());
				if (rootPath && rootPath.length > 0) {
					rootPathValue = "_imageRotator.settings.rootPath = '" + rootPath + "';";
				}
				detailRow.hide();
				wr360ConfiguredForProduct = true;
			}
		});
	}
	
	if (!wr360FeatureEnabled || !wr360ConfiguredForProduct) {
		imageDiv.show(); 
		return;
	}

	jQuery("body").append("<div id='__oldImage' style='display: none;'/>");
	var oldImageDiv = jQuery("#__oldImage");
	if (oldImageDiv.length <= 0)
		return;

	var oldHtml = imageDiv.html();
	oldImageDiv.html(oldHtml);
	
	var newHtml = "<div id='wr360WrapperId'> \
  <div id='wr360PlayerId'> \
	  <script language='javascript' type='text/javascript'> \
		 _imageRotator.settings.graphicsPath   = '" + graphicsPath + "'; \
		 _imageRotator.settings.configFileURL  = '" + configFileURL + "'; \
		 " + rootPathValue + " \
	  <" + "/" + "script> \
  </div>";

	imageDiv.html(newHtml);
	if (!imageDiv.is(":visible")) {
		imageDiv.show(); 
	}
	
	_imageRotator.runImageRotator('wr360PlayerId');
}

